package com.cloudsolutions.HMGPatientApp.PermissionManager

// PermissionResultReceiver.kt
import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent

class PermissionResultReceiver(
    private val callback: (Boolean) -> Unit
) : BroadcastReceiver() {
    override fun onReceive(context: Context?, intent: Intent?) {
        val granted = intent?.getBooleanExtra("PERMISSION_GRANTED", false) ?: false
        callback(granted)
    }
}